<?php $projectData = $this->toArray(); ?>
<tr class="text" onmouseover="className='text-hi';" onmouseout="className='text';">
  <td align="center">
    <?php echo $role ?>
  </td>
  <td align="left"><?php echo $userID ?></td>
  <td align="left">TODO</td>

  <?php if ($showActions) {
    echo '<td align="center">';

    // Don't show any action for the user itself
    if (Auth::getAuth() != $userID) {
        $baseUrl = Horde::applicationUrl('team.php?project_id=' . $projectData['project_id']);
        $baseUrl = Util::addParameter($baseUrl, 'userID', $userID);

        $dischargeUrl = Util::addParameter($baseUrl, 'actionID', DISCHARGE_USER);
        $upgradeUrl = Util::addParameter($baseUrl, 'actionID', UPGRADE_USER);
        $downgradeUrl = Util::addParameter($baseUrl, 'actionID', DOWNGRADE_USER);
        $acceptReqUrl = Util::addParameter($baseUrl, 'actionID', ACCEPT_REQUEST);
        $refuseReqUrl = Util::addParameter($baseUrl, 'actionID', REFUSE_REQUEST);
        $removeUrl = Util::addParameter($baseUrl, 'actionID', REMOVE_USER);

        $dischargeImg = Horde::img('logout.png', _("Discharge User"), 'hspace="2"', $registry->getImageDir('horde'));
        $downgradeImg = Horde::img('nav/down.png', _("Downgrade User"), 'hspace="2"', $registry->getImageDir('horde'));
        $upgradeImg = Horde::img('nav/up.png', _("Upgrade User"), 'hspace="2"', $registry->getImageDir('horde'));
        $acceptImg = Horde::img('tick.png', _("Accept User"), 'hspace="2"');
        $refuseImg = Horde::img('cross.png', _("Refuse User"), 'hspace="2"');
        $removeImg = Horde::img('delete.png', _("Delete User"), 'hspace="2"', $registry->getImageDir('horde'));

        $groups = &Group::singleton();

        if ($this->isUserOfKind($userID, USERS_ADMINS)) {
            if ($this->isUserOfKind(Auth::getAuth(), USERS_COORDINATOR)) {
                $groupID = &$groups->getGroupId($this->_default_groups[USERS_ADMINS]);

                if ($browser->hasFeature('javascript')) {
                    $downgradeUrl = Util::addParameter($downgradeUrl, array('groupID' => $groupID,
                                                                            'confirm' => _("Yes")));
                    $dischargeUrl = Util::addParameter($dischargeUrl, array('groupID' => $groupID,
                                                                            'confirm' => _("Yes")));
                    echo Horde::link($downgradeUrl, '', '', '', "return window.confirm('" . addslashes(sprintf(_("Are you sure you want to downgrade '%s'?"), $userID)) . "');", _("Downgrade User")) . $downgradeImg . '</a>';
                    echo Horde::link($dischargeUrl, '', '', '', "return window.confirm('" . addslashes(sprintf(_("Are you sure you want to discharge '%s'?"), $userID)) . "');", _("Discharge User")) . $dischargeImg . '</a>';
                } else {
                    $downgradeUrl = Util::addParameter($downgradeUrl, 'groupID', $groupID);
                    $dischargeUrl = Util::addParameter($dischargeUrl, 'groupID', $groupID);
                    echo Horde::link($downgradeUrl, _("Downgrade User")) . $downgradeImg . '</a>';
                    echo Horde::link($dischargeUrl, _("Discharge User")) . $dischargeImg . '</a>';
                }
            }
        } elseif ($this-> isUserOfKind($userID, USERS_DEVS)) {
            $groupID = &$groups->getGroupId($this->_default_groups[USERS_DEVS]);
            if ($browser->hasFeature('javascript')) {
                $upgradeUrl = Util::addParameter($upgradeUrl,array('groupID' => $groupID,
                                                                                                      'confirm' => _("Yes")));
                $dischargeUrl = Util::addParameter($dischargeUrl, array('groupID' => $groupID,
                                                                                                           'confirm' => _("Yes")));
                echo Horde::link($upgradeUrl, '', '', '', "return window.confirm('" . addslashes(sprintf(_("Are you sure you want to upgrade '%s'?"), $userID)) . "');", _("Upgrade User")) . $upgradeImg . '</a>';
                echo Horde::link($dischargeUrl, '', '', '', "return window.confirm('" . addslashes(sprintf(_("Are you sure you want to discharge '%s'?"), $userID)) . "');",_("Discharge User")) . $dischargeImg . '</a>';
            } else {
                $upgradeUrl = Util::addParameter($upgradeUrl, 'groupID', $groupID);
                $dischargeUrl = Util::addParameter($dischargeUrl, 'groupID', $groupID);
                echo Horde::link($dischargeUrl, _("Discharge User")) . $dischargeImg . '</a>';
                echo Horde::link($upgradeUrl, _("Upgrade User")) . $upgradeImg . '</a>';
            }

        } elseif ($this->isUserOfKind($userID, USERS_WANTING)) {
            if ($browser->hasFeature('javascript')) {
                $acceptReqUrl = Util::addParameter($acceptReqUrl, 'confirm', _("Yes"));
                $refuseReqUrl = Util::addParameter($refuseReqUrl, 'confirm', _("Yes"));
                echo Horde::link($acceptReqUrl, '', '', '', "return window.confirm('" . addslashes(sprintf(_("Are you sure you want '%s' to join your team?"), $userID)) . "');", _("Accept User")) . $acceptImg . '</a>';
                echo Horde::link($refuseReqUrl, '', '', '', "return window.confirm('" . addslashes(sprintf(_("Are you sure you don't want '%s' to join your team?"), $userID)) . "');", _("Refuse User")) . $refuseImg . '</a>';
            } else {
                echo Horde::link($acceptReqUrl, _("Accept User")) . $acceptImg . '</a>';
                echo Horde::link($refuseReqUrl, _("Refuse User")) . $refuseImg . '</a>';
            }


        } elseif ($this->isUserOfKind($userID, USERS_REFUSED)) {
            $groupID = &$groups->getGroupId($this->_default_groups[USERS_REFUSED]);
            if ($browser->hasFeature('javascript')) {
                $removeUrl = Util::addParameter($removeUrl, array('groupID' => $groupID,
                                                                                                   'confirm' => _("Yes")));
                echo Horde::link($removeUrl,  '', '', '', "return window.confirm('" . addslashes(sprintf(_("Are you sure you want to remove '%s'?"), $userID)) . "');",_("Remove User")) . $removeImg . '</a>';
            } else {
                $removeUrl = Util::addParameter($removeUrl, 'groupID', $groupID);
                echo Horde::link($removeUrl, _("Remove User")) . $removeImg . '</a>';
            }


        } elseif ($this->isUserOfKind($userID, USERS_DISCHARGED)) {

        }
    }
  echo '</td>';
  }?>
</tr>
